VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR:
[legend]

## Public Member Functions

| SemaphoreGetFdInfoKHR (Semaphore semaphore_=Semaphore(), ExternalSemaphoreHandleTypeFlagBits handleType_=ExternalSemaphoreHandleTypeFlagBits::eOpaqueFd)
| SemaphoreGetFdInfoKHR (VkSemaphoreGetFdInfoKHR const &rhs)
SemaphoreGetFdInfoKHR & | operator= (VkSemaphoreGetFdInfoKHR const &rhs)
SemaphoreGetFdInfoKHR & | setPNext (const void *pNext_)
SemaphoreGetFdInfoKHR & | setSemaphore (Semaphore semaphore_)
SemaphoreGetFdInfoKHR & | setHandleType (ExternalSemaphoreHandleTypeFlagBits handleType_)
| operator VkSemaphoreGetFdInfoKHR const & () const
| operator VkSemaphoreGetFdInfoKHR & ()
bool | operator== (SemaphoreGetFdInfoKHR const &rhs) const
bool | operator!= (SemaphoreGetFdInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
Semaphore | semaphore
ExternalSemaphoreHandleTypeFlagBits | handleType

## Private Attributes

StructureType | sType = StructureType::eSemaphoreGetFdInfoKHR

## Detailed Description

Definition at line 32639 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SemaphoreGetFdInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::SemaphoreGetFdInfoKHR | ( | Semaphore | semaphore_ = `Semaphore()`,
|  | ExternalSemaphoreHandleTypeFlagBits | handleType_ = `ExternalSemaphoreHandleTypeFlagBits::eOpaqueFd`
| ) |  |

inline

Definition at line 32641 of file vulkan.hpp.

: semaphore( semaphore_ )
, handleType( handleType_ )
{
}

## SemaphoreGetFdInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::SemaphoreGetFdInfoKHR | ( | VkSemaphoreGetFdInfoKHR const & | rhs | ) |

inline

Definition at line 32648 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SemaphoreGetFdInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkSemaphoreGetFdInfoKHR &()

VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator VkSemaphoreGetFdInfoKHR & | ( |  | ) |

inline

Definition at line 32681 of file vulkan.hpp.

{
return *reinterpret_cast<VkSemaphoreGetFdInfoKHR*>(this);
}

## operator VkSemaphoreGetFdInfoKHR const &()

VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator VkSemaphoreGetFdInfoKHR const & | ( |  | ) | const

inline

Definition at line 32676 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSemaphoreGetFdInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator!= | ( | SemaphoreGetFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32694 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SemaphoreGetFdInfoKHR& VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator= | ( | VkSemaphoreGetFdInfoKHR const & | rhs | ) |

inline

Definition at line 32653 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SemaphoreGetFdInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator== | ( | SemaphoreGetFdInfoKHR const & | rhs | ) | const

inline

Definition at line 32686 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( semaphore == rhs.semaphore )
&& ( handleType == rhs.handleType );
}

References handleType, pNext, semaphore, and sType.

Referenced by operator!=().

## setHandleType()

SemaphoreGetFdInfoKHR& VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::setHandleType | ( | ExternalSemaphoreHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 32670 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setPNext()

SemaphoreGetFdInfoKHR& VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 32658 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSemaphore()

SemaphoreGetFdInfoKHR& VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::setSemaphore | ( | Semaphore | semaphore_ | ) |

inline

Definition at line 32664 of file vulkan.hpp.

{
semaphore = semaphore_;
return *this;
}

References semaphore.

## Field Documentation

## handleType

ExternalSemaphoreHandleTypeFlagBits VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::handleType

Definition at line 32705 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::pNext = nullptr

Definition at line 32703 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## semaphore

Semaphore VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::semaphore

Definition at line 32704 of file vulkan.hpp.

Referenced by operator==(), and setSemaphore().

## sType

StructureType VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::sType = StructureType::eSemaphoreGetFdInfoKHR

private

Definition at line 32700 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:32703
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::SemaphoreGetFdInfoKHR
SemaphoreGetFdInfoKHR(Semaphore semaphore_=Semaphore(), ExternalSemaphoreHandleTypeFlagBits handleType_=ExternalSemaphoreHandleTypeFlagBits::eOpaqueFd)
Definition: vulkan.hpp:32641
VkSemaphoreGetFdInfoKHR
Definition: vulkan_core.h:5420
VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::handleType
ExternalSemaphoreHandleTypeFlagBits handleType
Definition: vulkan.hpp:32705
VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::semaphore
Semaphore semaphore
Definition: vulkan.hpp:32704
VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::operator==
bool operator==(SemaphoreGetFdInfoKHR const &rhs) const
Definition: vulkan.hpp:32686
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508
VULKAN_HPP_NAMESPACE::SemaphoreGetFdInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:32700